summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Grissiom <chaos.proton@gmail.com>2010-11-23 23:54:53 +0100
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-11-24 22:01:43 +0100
commit5673dae47aa509a2505f85faeaa84761c476773f (patch)
tree871cc58d6d252a214dd89414a0a3b2c129a9c055 /development
parent78ca7ff0bfceb8397ffe468e608213248f460a15 (diff)
downloadslackbuilds-5673dae47aa509a2505f85faeaa84761c476773f.tar.gz
slackbuilds-5673dae47aa509a2505f85faeaa84761c476773f.tar.xz
development/shiboken: Added. (PySide bindings generator plugin)
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/shiboken/README5
-rw-r--r--development/shiboken/shiboken.SlackBuild84
-rw-r--r--development/shiboken/shiboken.info10
-rw-r--r--development/shiboken/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/development/shiboken/README b/development/shiboken/README
new file mode 100644
index 0000000000..4795048ef1
--- /dev/null
+++ b/development/shiboken/README
@@ -0,0 +1,5 @@
+The Shiboken Generator (A.K.A. shiboken) is the plugin that creates the PySide
+bindings source files from Qt headers and auxiliary files (typesystems,
+global.h and glue files).
+
+This requires apiextractor and generatorrunner.
diff --git a/development/shiboken/shiboken.SlackBuild b/development/shiboken/shiboken.SlackBuild
new file mode 100644
index 0000000000..59fe1ac396
--- /dev/null
+++ b/development/shiboken/shiboken.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for shiboken
+
+# Written by Grissiom <chaos.proton@gmail.com>
+
+PRGNAM=shiboken
+VERSION=${VERSION:-0.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DBUILD_TESTS:BOOL=OFF \
+ -DENABLE_GCC_OPTIMIZATION:BOOL=ON \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/shiboken/shiboken.info b/development/shiboken/shiboken.info
new file mode 100644
index 0000000000..2abdcf523a
--- /dev/null
+++ b/development/shiboken/shiboken.info
@@ -0,0 +1,10 @@
+PRGNAM="shiboken"
+VERSION="0.5.0"
+HOMEPAGE="http://www.pyside.org/home-binding/binding-generator/"
+DOWNLOAD="http://www.pyside.org/files/shiboken-0.5.0.tar.bz2"
+MD5SUM="ca377b865b09aff2f2a035fc5eb950e8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Grissiom"
+EMAIL="chaos.proton@gmail.com"
+APPROVED="pprkut"
diff --git a/development/shiboken/slack-desc b/development/shiboken/slack-desc
new file mode 100644
index 0000000000..0c1765b4cd
--- /dev/null
+++ b/development/shiboken/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+shiboken: Shiboken Generator (PySide bindings generator plugin)
+shiboken:
+shiboken: The Shiboken Generator is the plugin that creates the PySide bindings
+shiboken: source files from Qt headers and auxiliary files (typesystems,
+shiboken: global.h and glue files). It depends on GeneratorRunner and
+shiboken: APIExtractor library.
+shiboken:
+shiboken:
+shiboken:
+shiboken:
+shiboken: